import 'package:json_annotation/json_annotation.dart';

import '../../bean/keyboard_info.dart';

part 'keyboard_list_response.g.dart';

@JsonSerializable()
class KeyboardListResponse {
  @JsonKey(name: "keyboardInfos")
  List<KeyboardInfo>keyboardInfos;

  KeyboardListResponse({required this.keyboardInfos});

  factory KeyboardListResponse.fromJson(Map<String, dynamic> json) =>
      _$KeyboardListResponseFromJson(json);

  Map<String, dynamic> toJson() => _$KeyboardListResponseToJson(this);
}
